diff --git a/combo/apps/lingo/models.py b/combo/apps/lingo/models.py
index 0c83279d..9d7eb647 100644
--- a/combo/apps/lingo/models.py
+++ b/combo/apps/lingo/models.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 # lingo - basket and payment system
 # Copyright (C) 2015  Entr'ouvert
@@ -68,7 +67,7 @@ class PaymentException(Exception):
 
 class UnsignedPaymentException(PaymentException):
     def __init__(self, transaction, *args, **kwargs):
-        super(UnsignedPaymentException, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         self.transaction = transaction
 
 
@@ -163,7 +162,7 @@ class PaymentBackend(models.Model):
 
     def make_eopayment(self, *, request=None, automatic_return_url=None, normal_return_url=None, **kwargs):
         options = self.service_options or {}
-        if isinstance(options, six.string_types):
+        if isinstance(options, str):
             # backward compatibility when used againt postgresql < 9.4 and
             # service_options is received as a string.
             try:
@@ -329,7 +328,7 @@ class Regie(models.Model):
             qs.update(is_default=False)
         elif not self.__class__.objects.filter(is_default=True).exists():
             self.is_default = True
-        super(Regie, self).save(*args, **kwargs)
+        super().save(*args, **kwargs)
 
     def natural_key(self):
         return (self.slug,)
@@ -688,7 +687,7 @@ class BasketItem(models.Model):
         return reverse('basket-item-pay-view', kwargs={'item_signature': signature})
 
 
-class RemoteItem(object):
+class RemoteItem:
     payment_date = None
 
     def __init__(
@@ -745,7 +744,7 @@ class RemoteItem(object):
 
     @classmethod
     def transactions_for_remote_items(cls, queryset, remote_items):
-        remote_item_ids = set(remote_item.id for remote_item in remote_items if not remote_item.paid)
+        remote_item_ids = {remote_item.id for remote_item in remote_items if not remote_item.paid}
         if not remote_item_ids:
             return Transaction.objects.none()
 
@@ -878,7 +877,7 @@ class Transaction(models.Model):
                     'unable to notify payment for remote item %s from transaction %s', item_id, self
                 )
             else:
-                logger.info(u'notified payment for remote item %s from transaction %s', item_id, self)
+                logger.info('notified payment for remote item %s from transaction %s', item_id, self)
                 subject = _('Invoice #%s') % remote_item.display_id
                 local_item = BasketItem.objects.create(
                     user=self.user,
@@ -1066,10 +1065,10 @@ class LingoBasketCell(CellBase):
         items = BasketItem.get_items_to_be_paid(context['request'].user)
         if not items:
             return
-        total = sum([x.amount for x in items])
+        total = sum(x.amount for x in items)
         if total == int(total):
             total = int(total)
-        return {'badge': _(u'%s€') % localize(total)}
+        return {'badge': _('%s€') % localize(total)}
 
     def render(self, context):
         basket_template = template.loader.get_template('lingo/combo/basket.html')
@@ -1081,7 +1080,7 @@ class LingoBasketCell(CellBase):
             regies[item.regie_id]['items'].append(item)
 
         for items in regies.values():
-            items['total'] = sum([x.amount for x in items['items']])
+            items['total'] = sum(x.amount for x in items['items'])
 
         context['regies'] = sorted(regies.values(), key=lambda x: x['regie'].label)
         return basket_template.render(context)
@@ -1147,7 +1146,7 @@ class LingoBasketLinkCell(CellBase):
             return ''
         basket_template = template.loader.get_template('lingo/combo/basket_link.html')
         context['items'] = BasketItem.get_items_to_be_paid(user=context['request'].user)
-        context['total'] = sum([x.amount for x in context['items']])
+        context['total'] = sum(x.amount for x in context['items'])
         return basket_template.render(context)
 
 
@@ -1198,7 +1197,7 @@ class Items(CellBase):
         return [], []
 
     def get_cell_extra_context(self, context):
-        ctx = super(Items, self).get_cell_extra_context(context)
+        ctx = super().get_cell_extra_context(context)
         if context.get('placeholder_search_mode'):
             # don't call webservices when we're just looking for placeholders
             return ctx
@@ -1220,7 +1219,7 @@ class Items(CellBase):
         self.context = context
         if not context.get('synchronous'):
             raise NothingInCacheException()
-        return super(Items, self).render(context)
+        return super().render(context)
 
 
 @register_cell_class
@@ -1273,7 +1272,7 @@ class SelfDeclaredInvoicePayment(Items):
     def render(self, context):
         context['synchronous'] = True
         context['page_path'] = context['request'].path
-        return super(SelfDeclaredInvoicePayment, self).render(context)
+        return super().render(context)
 
 
 TIPI_CONTROL_PROCOTOLS = (
@@ -1326,7 +1325,7 @@ class TipiPaymentFormCell(CellBase):
         return getattr(settings, 'LINGO_TIPI_CELL_PAYMENT_URL', 'https://www.payfip.gouv.fr/tpa/paiement.web')
 
     def get_cell_extra_context(self, context):
-        extra_context = super(TipiPaymentFormCell, self).get_cell_extra_context(context)
+        extra_context = super().get_cell_extra_context(context)
         form_fields = self.get_default_form_class().base_fields
         field_definitions = (
             {'protocol': 'any', 'fields': ['exer']},
diff --git a/combo/apps/lingo/utils.py b/combo/apps/lingo/utils.py
index 91bc85ea..7c8394aa 100644
--- a/combo/apps/lingo/utils.py
+++ b/combo/apps/lingo/utils.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 # lingo - basket and payment system
 # Copyright (C) 2020  Entr'ouvert
 #
diff --git a/combo/apps/lingo/views.py b/combo/apps/lingo/views.py
index bd9e26c5..970ce781 100644
--- a/combo/apps/lingo/views.py
+++ b/combo/apps/lingo/views.py
@@ -98,9 +98,9 @@ def lingo_check_request_signature(request):
 class LocaleDecimal(Decimal):
     # accept , instead of . for French users comfort
     def __new__(cls, value="0", *args, **kwargs):
-        if isinstance(value, six.string_types) and settings.LANGUAGE_CODE.startswith('fr-'):
+        if isinstance(value, str) and settings.LANGUAGE_CODE.startswith('fr-'):
             value = value.replace(',', '.')
-        return super(LocaleDecimal, cls).__new__(cls, value, *args, **kwargs)
+        return super().__new__(cls, value, *args, **kwargs)
 
 
 class RegiesApiView(ListView):
@@ -121,11 +121,11 @@ class AddBasketItemApiView(View):
 
     @csrf_exempt
     def dispatch(self, *args, **kwargs):
-        return super(AddBasketItemApiView, self).dispatch(*args, **kwargs)
+        return super().dispatch(*args, **kwargs)
 
     def get_amount(self, amount):
         if isinstance(amount, list):
-            d = Decimal(sum([LocaleDecimal(a) for a in amount]))
+            d = Decimal(sum(LocaleDecimal(a) for a in amount))
         else:
             d = LocaleDecimal(amount)
         return d.quantize(Decimal('0.01'), ROUND_HALF_UP)
@@ -237,7 +237,7 @@ class RemoveBasketItemApiView(View):
 
     @csrf_exempt
     def dispatch(self, *args, **kwargs):
-        return super(RemoveBasketItemApiView, self).dispatch(*args, **kwargs)
+        return super().dispatch(*args, **kwargs)
 
     def post(self, request, *args, **kwargs):
         if not lingo_check_request_signature(request):
@@ -285,7 +285,7 @@ class ValidateTransactionApiView(View):
 
     @csrf_exempt
     def dispatch(self, *args, **kwargs):
-        return super(ValidateTransactionApiView, self).dispatch(*args, **kwargs)
+        return super().dispatch(*args, **kwargs)
 
     def post(self, request, *args, **kwargs):
         if not lingo_check_request_signature(request):
@@ -295,22 +295,22 @@ class ValidateTransactionApiView(View):
             transaction = Transaction.objects.get(id=request.GET['transaction_id'])
         except Transaction.DoesNotExist:
             logger.warning(
-                u'received validate request for unknown transaction %s', request.GET['transaction_id']
+                'received validate request for unknown transaction %s', request.GET['transaction_id']
             )
             raise Http404
 
         amount = LocaleDecimal(request.GET['amount'])
 
-        logger.info(u'validating amount %s for transaction %s', amount, smart_text(transaction.id))
+        logger.info('validating amount %s for transaction %s', amount, smart_text(transaction.id))
         try:
             result = transaction.make_eopayment(request=request).backend.validate(
                 amount, transaction.bank_data
             )
         except eopayment.ResponseError as e:
-            logger.error(u'failed in validation operation: %s', e)
+            logger.error('failed in validation operation: %s', e)
             return JsonResponse({'err': 1, 'e': force_text(e)})
 
-        logger.info(u'bank validation result: %r', result)
+        logger.info('bank validation result: %r', result)
         operation = TransactionOperation(
             transaction=transaction, kind='validation', amount=amount, bank_result=result
         )
@@ -324,7 +324,7 @@ class CancelTransactionApiView(View):
 
     @csrf_exempt
     def dispatch(self, *args, **kwargs):
-        return super(CancelTransactionApiView, self).dispatch(*args, **kwargs)
+        return super().dispatch(*args, **kwargs)
 
     def post(self, request, *args, **kwargs):
         if not lingo_check_request_signature(request):
@@ -334,20 +334,20 @@ class CancelTransactionApiView(View):
             transaction = Transaction.objects.get(id=request.GET['transaction_id'])
         except Transaction.DoesNotExist:
             logger.warning(
-                u'received validate request for unknown transaction %s', request.GET['transaction_id']
+                'received validate request for unknown transaction %s', request.GET['transaction_id']
             )
             raise Http404
 
         amount = LocaleDecimal(request.GET['amount'])
 
-        logger.info(u'cancelling amount %s for transaction %s', amount, smart_text(transaction.id))
+        logger.info('cancelling amount %s for transaction %s', amount, smart_text(transaction.id))
         try:
             result = transaction.make_eopayment(request=request).backend.cancel(amount, transaction.bank_data)
         except eopayment.ResponseError as e:
-            logger.error(u'failed in cancel operation: %s', e)
+            logger.error('failed in cancel operation: %s', e)
             return JsonResponse({'err': 1, 'e': force_text(e)})
 
-        logger.info(u'bank cancellation result: %r', result)
+        logger.info('bank cancellation result: %r', result)
         operation = TransactionOperation(
             transaction=transaction, kind='cancellation', amount=amount, bank_result=result
         )
@@ -356,7 +356,7 @@ class CancelTransactionApiView(View):
         return JsonResponse({'err': 0, 'extra': result})
 
 
-class PayMixin(object):
+class PayMixin:
     @atomic
     def handle_payment(
         self, request, regie, items, remote_items, next_url='/', email='', firstname='', lastname=''
@@ -381,17 +381,17 @@ class PayMixin(object):
             messages.error(request, _('Some items are already paid.'))
             return HttpResponseRedirect(next_url)
 
-        total_amount = sum([x.amount for x in remote_items or items])
+        total_amount = sum(x.amount for x in remote_items or items)
 
         if total_amount < regie.payment_min_amount:
-            messages.warning(request, _(u'Minimal payment amount is %s €.') % regie.payment_min_amount)
+            messages.warning(request, _('Minimal payment amount is %s €.') % regie.payment_min_amount)
             return HttpResponseRedirect(
                 get_payment_status_view(next_url=next_url if remote_items else items[0].source_url)
             )
 
         for item in items:
             if item.regie != regie:
-                messages.error(request, _(u'Invalid grouping for basket items.'))
+                messages.error(request, _('Invalid grouping for basket items.'))
                 return HttpResponseRedirect(next_url)
         user = request.user if request.user.is_authenticated else None
         transaction = Transaction()
@@ -454,7 +454,7 @@ class PayMixin(object):
             messages.error(request, _('Failed to initiate payment request'))
             return HttpResponseRedirect(get_payment_status_view(next_url=next_url))
         logger.info(
-            u'emitted payment request with id %s',
+            'emitted payment request with id %s',
             smart_text(order_id),
             extra={'eopayment_order_id': smart_text(order_id), 'eopayment_data': repr(data)},
         )
@@ -505,14 +505,14 @@ class PayView(PayMixin, View):
                 for item_id in request.POST.getlist('item'):
                     remote_items.append(regie.get_invoice(user, item_id, update_paid=True))
             except (requests.exceptions.RequestException, RemoteInvoiceException):
-                messages.error(request, _(u'Technical error: impossible to retrieve invoices.'))
+                messages.error(request, _('Technical error: impossible to retrieve invoices.'))
                 return HttpResponseRedirect(next_url)
             except ObjectDoesNotExist:
-                messages.error(request, _(u'No invoice was found.'))
+                messages.error(request, _('No invoice was found.'))
                 return HttpResponseRedirect(next_url)
         else:
             if user is None:
-                messages.error(request, _(u'Payment requires to be logged in.'))
+                messages.error(request, _('Payment requires to be logged in.'))
                 return HttpResponseRedirect(next_url)
 
             if not regie_id:
@@ -521,7 +521,7 @@ class PayView(PayMixin, View):
                 regie_id = items[0].regie_id
                 for item in items:
                     if item.regie_id != regie_id:
-                        messages.error(request, _(u'Invalid grouping for basket items.'))
+                        messages.error(request, _('Invalid grouping for basket items.'))
                         return HttpResponseRedirect(next_url)
 
             regie = Regie.objects.get(id=regie_id)
@@ -540,7 +540,7 @@ class PayView(PayMixin, View):
             capture_date = items[0].capture_date
             for item in items:
                 if item.capture_date != capture_date:
-                    messages.error(request, _(u'Invalid grouping for basket items: different capture dates.'))
+                    messages.error(request, _('Invalid grouping for basket items: different capture dates.'))
                     return HttpResponseRedirect(next_url)
 
         if user:
@@ -549,7 +549,7 @@ class PayView(PayMixin, View):
             # user is not authenticated, it comes from ItemCell where an email
             # can be given in the payment form.
             if not request.POST.get('email'):
-                messages.warning(request, _(u'You must give an email address.'))
+                messages.warning(request, _('You must give an email address.'))
                 return HttpResponseRedirect(request.POST.get('item_url'))
             email = request.POST.get('email')
 
@@ -634,7 +634,7 @@ class PaymentView(View):
             raise Http404("A payment backend or regie primary key or slug must be specified")
 
         payment = payment_backend.make_eopayment(request=request)
-        logger.info(u'received payment response: %r', backend_response)
+        logger.info('received payment response: %r', backend_response)
         try:
             eopayment_response_kwargs = {'redirect': not callback}
             if transaction is not None:
@@ -647,7 +647,7 @@ class PaymentView(View):
             payment_response = payment.response(backend_response, **eopayment_response_kwargs)
         except eopayment.PaymentException as e:
             logger.error(
-                u'failed to process payment response: %s',
+                'failed to process payment response: %s',
                 e,
                 extra={'eopayment_raw_response': repr(backend_response)},
             )
@@ -674,13 +674,13 @@ class CallbackView(PaymentView):
 
     @csrf_exempt
     def dispatch(self, *args, **kwargs):
-        return super(CallbackView, self).dispatch(*args, **kwargs)
+        return super().dispatch(*args, **kwargs)
 
 
 class ReturnView(PaymentView):
     @csrf_exempt
     def dispatch(self, *args, **kwargs):
-        return super(ReturnView, self).dispatch(*args, **kwargs)
+        return super().dispatch(*args, **kwargs)
 
     def get(self, request, *args, **kwargs):
         return self.handle_return(request, request.environ['QUERY_STRING'], **kwargs)
@@ -735,7 +735,7 @@ class ReturnView(PaymentView):
 
 
 class ItemDownloadView(View):
-    http_method_names = [u'get']
+    http_method_names = ['get']
 
     def get(self, request, *args, **kwargs):
         try:
@@ -768,7 +768,7 @@ class ItemDownloadView(View):
 
 
 class ItemView(TemplateView):
-    http_method_names = [u'get']
+    http_method_names = ['get']
 
     def get_context_data(self, **kwargs):
         ret = {'item_url': self.request.get_full_path()}
@@ -804,7 +804,7 @@ class CancelItemView(DetailView):
     template_name = 'lingo/combo/cancel-item.html'
 
     def get_context_data(self, **kwargs):
-        context = super(CancelItemView, self).get_context_data(**kwargs)
+        context = super().get_context_data(**kwargs)
         context['basket_url'] = get_basket_url()
         return context
 
@@ -831,7 +831,7 @@ class SelfInvoiceView(View):
 
     @csrf_exempt
     def dispatch(self, *args, **kwargs):
-        return super(SelfInvoiceView, self).dispatch(*args, **kwargs)
+        return super().dispatch(*args, **kwargs)
 
     def get(self, request, *args, **kwargs):
         try:
@@ -902,7 +902,7 @@ class PaymentStatusView(View):
         next_url = request.session.get('lingo_next_url', {}).get(str(transaction_id))
         if not next_url:
             next_url = get_basket_url()
-            if len(set([item.source_url for item in transaction.items.all()])) == 1:
+            if len({item.source_url for item in transaction.items.all()}) == 1:
                 next_url = transaction.items.first().source_url
         next_url = request.build_absolute_uri(next_url)
 
diff --git a/combo/apps/maps/forms.py b/combo/apps/maps/forms.py
index 15b08e39..dfeebb83 100644
--- a/combo/apps/maps/forms.py
+++ b/combo/apps/maps/forms.py
@@ -40,7 +40,7 @@ class MapLayerForm(forms.ModelForm):
         }
 
     def __init__(self, *args, **kwargs):
-        super(MapLayerForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         if self.instance.pk is None:
             # new instance, delete some fields
             del self.fields['slug']
@@ -71,7 +71,7 @@ class MapLayerForm(forms.ModelForm):
                 del self.fields[field]
 
     def clean(self):
-        cleaned_data = super(MapLayerForm, self).clean()
+        cleaned_data = super().clean()
 
         if self.instance.kind == 'tiles' and cleaned_data.get('tiles_default') is True:
             if MapLayer.objects.filter(kind='tiles', tiles_default=True).exclude(pk=self.instance.pk):
@@ -88,7 +88,7 @@ class MapLayerOptionsForm(forms.ModelForm):
 
     def __init__(self, *args, **kwargs):
         self.kind = kwargs.pop('kind')
-        super(MapLayerOptionsForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         # if edition, no possibility to change the layer
         if self.instance.pk:
             del self.fields['map_layer']
diff --git a/combo/apps/maps/manager_views.py b/combo/apps/maps/manager_views.py
index b6165519..624e717c 100644
--- a/combo/apps/maps/manager_views.py
+++ b/combo/apps/maps/manager_views.py
@@ -26,7 +26,7 @@ from .forms import MapLayerForm, MapLayerOptionsForm
 from .models import Map, MapLayer, MapLayerOptions
 
 
-class MapLayerMixin(object):
+class MapLayerMixin:
     model = MapLayer
     success_url = reverse_lazy('maps-manager-homepage')
 
@@ -36,7 +36,7 @@ class ManagerHomeView(MapLayerMixin, ListView):
     ordering = ['kind', 'label']
 
     def get_context_data(self, **kwargs):
-        context = super(ManagerHomeView, self).get_context_data(**kwargs)
+        context = super().get_context_data(**kwargs)
         context['map_list'] = Map.objects.all()
         return context
 
@@ -46,7 +46,7 @@ class LayerAddView(MapLayerMixin, CreateView):
     template_name = 'maps/map_layer_form.html'
 
     def get_form_kwargs(self):
-        kwargs = super(LayerAddView, self).get_form_kwargs()
+        kwargs = super().get_form_kwargs()
         kwargs['instance'] = self.model(kind=self.kwargs['kind'])
         return kwargs
 
@@ -69,10 +69,10 @@ class MapCellAddLayer(CreateView):
             self.cell = CellBase.get_cell(kwargs['cell_reference'], page=kwargs['page_pk'])
         except Map.DoesNotExist:
             raise Http404
-        return super(MapCellAddLayer, self).dispatch(request, *args, **kwargs)
+        return super().dispatch(request, *args, **kwargs)
 
     def get_form_kwargs(self):
-        kwargs = super(MapCellAddLayer, self).get_form_kwargs()
+        kwargs = super().get_form_kwargs()
         kwargs['instance'] = MapLayerOptions(map_cell=self.cell)
         kwargs['kind'] = self.kwargs['kind']
         return kwargs
@@ -84,7 +84,7 @@ class MapCellAddLayer(CreateView):
             comment=_('added layer "%(layer)s" to cell "%(cell)s"')
             % {'layer': form.instance.map_layer, 'cell': self.cell},
         )
-        return super(MapCellAddLayer, self).form_valid(form)
+        return super().form_valid(form)
 
     def get_success_url(self):
         return '%s#cell-%s' % (
@@ -106,13 +106,13 @@ class MapCellEditLayer(UpdateView):
         except Map.DoesNotExist:
             raise Http404
         self.object = get_object_or_404(MapLayerOptions, pk=kwargs['layeroptions_pk'], map_cell=self.cell)
-        return super(MapCellEditLayer, self).dispatch(request, *args, **kwargs)
+        return super().dispatch(request, *args, **kwargs)
 
     def get_object(self, *args, **kwargs):
         return self.object
 
     def get_form_kwargs(self):
-        kwargs = super(MapCellEditLayer, self).get_form_kwargs()
+        kwargs = super().get_form_kwargs()
         kwargs['kind'] = self.object.map_layer.kind
         return kwargs
 
@@ -123,7 +123,7 @@ class MapCellEditLayer(UpdateView):
             comment=_('changed options of layer "%(layer)s" in cell "%(cell)s"')
             % {'layer': form.instance.map_layer, 'cell': self.cell},
         )
-        return super(MapCellEditLayer, self).form_valid(form)
+        return super().form_valid(form)
 
     def get_success_url(self):
         return '%s#cell-%s' % (
@@ -144,13 +144,13 @@ class MapCellDeleteLayer(DeleteView):
         except Map.DoesNotExist:
             raise Http404
         self.object = get_object_or_404(MapLayerOptions, pk=kwargs['layeroptions_pk'], map_cell=self.cell)
-        return super(MapCellDeleteLayer, self).dispatch(request, *args, **kwargs)
+        return super().dispatch(request, *args, **kwargs)
 
     def get_object(self, *args, **kwargs):
         return self.object
 
     def delete(self, request, *args, **kwargs):
-        response = super(MapCellDeleteLayer, self).delete(request, *args, **kwargs)
+        response = super().delete(request, *args, **kwargs)
         PageSnapshot.take(
             self.cell.page,
             request=self.request,
diff --git a/combo/apps/maps/migrations/0001_initial.py b/combo/apps/maps/migrations/0001_initial.py
index 2a55f0db..9118b597 100644
--- a/combo/apps/maps/migrations/0001_initial.py
+++ b/combo/apps/maps/migrations/0001_initial.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 from combo.apps.maps.models import ICONS
diff --git a/combo/apps/maps/migrations/0002_map.py b/combo/apps/maps/migrations/0002_map.py
index 0f0d608f..8fde6162 100644
--- a/combo/apps/maps/migrations/0002_map.py
+++ b/combo/apps/maps/migrations/0002_map.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/maps/migrations/0003_auto_20170603_1653.py b/combo/apps/maps/migrations/0003_auto_20170603_1653.py
index b1a58621..4953e118 100644
--- a/combo/apps/maps/migrations/0003_auto_20170603_1653.py
+++ b/combo/apps/maps/migrations/0003_auto_20170603_1653.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/maps/migrations/0004_map_initial_state.py b/combo/apps/maps/migrations/0004_map_initial_state.py
index 144c125d..ecfbb4aa 100644
--- a/combo/apps/maps/migrations/0004_map_initial_state.py
+++ b/combo/apps/maps/migrations/0004_map_initial_state.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/maps/migrations/0005_auto_20180212_1742.py b/combo/apps/maps/migrations/0005_auto_20180212_1742.py
index 8970ebdc..783405e3 100644
--- a/combo/apps/maps/migrations/0005_auto_20180212_1742.py
+++ b/combo/apps/maps/migrations/0005_auto_20180212_1742.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/maps/migrations/0006_auto_20180627_0841.py b/combo/apps/maps/migrations/0006_auto_20180627_0841.py
index f7c68d63..42633c26 100644
--- a/combo/apps/maps/migrations/0006_auto_20180627_0841.py
+++ b/combo/apps/maps/migrations/0006_auto_20180627_0841.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/maps/migrations/0008_map_layer_options.py b/combo/apps/maps/migrations/0008_map_layer_options.py
index 854f51af..3c8a012e 100644
--- a/combo/apps/maps/migrations/0008_map_layer_options.py
+++ b/combo/apps/maps/migrations/0008_map_layer_options.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import django.db.models.deletion
 from django.db import migrations, models
 
@@ -54,7 +51,7 @@ class Migration(migrations.Migration):
                 ),
                 migrations.AlterUniqueTogether(
                     name='maplayeroptions',
-                    unique_together=set([('map_cell', 'map_layer')]),
+                    unique_together={('map_cell', 'map_layer')},
                 ),
             ],
             database_operations=[],
diff --git a/combo/apps/maps/migrations/0010_map_layer_opacity.py b/combo/apps/maps/migrations/0010_map_layer_opacity.py
index 13853dcd..808d9d7e 100644
--- a/combo/apps/maps/migrations/0010_map_layer_opacity.py
+++ b/combo/apps/maps/migrations/0010_map_layer_opacity.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import django.core.validators
 from django.db import migrations, models
 
diff --git a/combo/apps/maps/migrations/0011_map_layer_set_slug.py b/combo/apps/maps/migrations/0011_map_layer_set_slug.py
index fe900a83..27ef5d35 100644
--- a/combo/apps/maps/migrations/0011_map_layer_set_slug.py
+++ b/combo/apps/maps/migrations/0011_map_layer_set_slug.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations
 from django.utils.text import slugify
 
diff --git a/combo/apps/maps/migrations/0012_map_layer_slug_unicity.py b/combo/apps/maps/migrations/0012_map_layer_slug_unicity.py
index 036422ca..c33eb12d 100644
--- a/combo/apps/maps/migrations/0012_map_layer_slug_unicity.py
+++ b/combo/apps/maps/migrations/0012_map_layer_slug_unicity.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/maps/migrations/0013_geojson_query_parameter.py b/combo/apps/maps/migrations/0013_geojson_query_parameter.py
index c13782b7..a7dfd0f2 100644
--- a/combo/apps/maps/migrations/0013_geojson_query_parameter.py
+++ b/combo/apps/maps/migrations/0013_geojson_query_parameter.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/maps/migrations/0014_geojson_circle_param.py b/combo/apps/maps/migrations/0014_geojson_circle_param.py
index 83b20ba9..3df54324 100644
--- a/combo/apps/maps/migrations/0014_geojson_circle_param.py
+++ b/combo/apps/maps/migrations/0014_geojson_circle_param.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/maps/models.py b/combo/apps/maps/models.py
index ea2e3dc3..7ca1b05f 100644
--- a/combo/apps/maps/models.py
+++ b/combo/apps/maps/models.py
@@ -158,7 +158,7 @@ class MapLayer(models.Model):
                 slug = '%s-%s' % (base_slug, i)
                 i += 1
             self.slug = slug
-        super(MapLayer, self).save(*args, **kwargs)
+        super().save(*args, **kwargs)
 
     def __str__(self):
         return self.label
@@ -287,7 +287,7 @@ class MapLayer(models.Model):
 
                 def get_feature_words(properties):
                     for property in properties.values():
-                        if isinstance(property, six.string_types):
+                        if isinstance(property, str):
                             feature_words.append(property)
                         elif isinstance(property, dict):
                             get_feature_words(property)
@@ -465,7 +465,7 @@ class Map(CellBase):
         ]
 
     def get_cell_extra_context(self, context):
-        ctx = super(Map, self).get_cell_extra_context(context)
+        ctx = super().get_cell_extra_context(context)
         ctx['title'] = self.title
         default_position = self.get_default_position()
         ctx['init_lat'] = default_position['lat']
diff --git a/combo/apps/notifications/migrations/0001_initial.py b/combo/apps/notifications/migrations/0001_initial.py
index ee2a2ee3..a1ae0f14 100644
--- a/combo/apps/notifications/migrations/0001_initial.py
+++ b/combo/apps/notifications/migrations/0001_initial.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.conf import settings
 from django.db import migrations, models
 
diff --git a/combo/apps/notifications/migrations/0002_notificationscell_last_update_timestamp.py b/combo/apps/notifications/migrations/0002_notificationscell_last_update_timestamp.py
index 243161db..8b9a6277 100644
--- a/combo/apps/notifications/migrations/0002_notificationscell_last_update_timestamp.py
+++ b/combo/apps/notifications/migrations/0002_notificationscell_last_update_timestamp.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import datetime
 
 from django.db import migrations, models
diff --git a/combo/apps/notifications/migrations/0003_notification_origin.py b/combo/apps/notifications/migrations/0003_notification_origin.py
index be7dcad8..b92ea0a1 100644
--- a/combo/apps/notifications/migrations/0003_notification_origin.py
+++ b/combo/apps/notifications/migrations/0003_notification_origin.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
